from flask import Flask,render_template,request
from flask import make_response,jsonify
import requests,json,re,classfunc,time,os
from flask import redirect,url_for,send_from_directory
from werkzeug.utils import secure_filename

ALLOWED_EXTENSIONSP = set(['png', 'jpg', 'jpeg', 'gif'])
ALLOWED_EXTENSIONSR = set(['mp4'])

app = Flask(__name__)

app.config['UPLOAD_FOLDER'] = '/XfanProgram/Department/static/upload/vidio'
app.config['UPLOAD_FOLDERP'] = '/XfanProgram/Department/static/upload/photo'
app.config['MAX_CONTENT_LENGTH'] = 2048 * 1024 * 1024

html = '''
    <!DOCTYPE html>
    <title>Upload File</title>
    <h1>图片上传</h1>
    <form method=post enctype=multipart/form-data>
         <input type=file name=file>
         <input type=submit value=上传>
    </form>
    '''
    
def allowed_fileP(filename):
    return '.' in filename and \
           filename.rsplit('.', 1)[1] in ALLOWED_EXTENSIONSP

def allowed_fileR(filename):
    return '.' in filename and \
           filename.rsplit('.', 1)[1] in ALLOWED_EXTENSIONSR
           
@app.route('/uploaphoto', methods=['GET', 'POST'])
def upload_filesp():
    if request.method == 'POST':
        file = request.files['file']
        if file and allowed_fileP(file.filename):
            filename = secure_filename(file.filename)
            num = str(int(time.time()))
            filename = num + ".png"
            file.save(os.path.join(app.config['UPLOAD_FOLDERP'], filename))
            # return html + '<br><img src=' + file_url + '>'
            data = classfunc.mo(num)
            response = make_response(jsonify(data))
            response.headers["Access-Control-Allow-Origin"] = '*'
            response.headers["Access-Control-Allow-Methods"] = 'POST'
            response.headers["Access-Control-Allow-Headers"] = "x-requested-with,content-type"
            return response
    return html
    
@app.route('/uploarar', methods=['GET', 'POST'])
def upload_filesr():
    if request.method == 'POST':
        file = request.files['file']
        if file and allowed_fileR(file.filename):
            filename = secure_filename(file.filename)
            if re.findall('mp4',str(file.filename),re.S)[0]:
                num = str(int(time.time()))
                filename = num + ".mp4"
            file.save(os.path.join(app.config['UPLOAD_FOLDER'], filename))
            # return html + '<br><img src=' + file_url + '>'
            data = classfunc.mo(num)
            response = make_response(jsonify(data))
            response.headers["Access-Control-Allow-Origin"] = '*'
            response.headers["Access-Control-Allow-Methods"] = 'POST'
            response.headers["Access-Control-Allow-Headers"] = "x-requested-with,content-type"
            return response
    return html
    
@app.route('/Dowmsigsmallccinter',methods=["get"])
def Dowmsigsmallccinter():
    ScID = request.args.get("ScID")
    data = classfunc.Dowmsigsmallcc(ScID)
    response = make_response(jsonify(data))
    response.headers["Access-Control-Allow-Origin"] = '*'
    response.headers["Access-Control-Allow-Methods"] = 'POST'
    response.headers["Access-Control-Allow-Headers"] = "x-requested-with,content-type"
    return response

@app.route('/Dowmbigsmallccinter',methods=["get"])
def Dowmbigsmallccinter():
    BcID = request.args.get("BcID")
    data = classfunc.Dowmbigsmallcc(BcID)
    response = make_response(jsonify(data))
    response.headers["Access-Control-Allow-Origin"] = '*'
    response.headers["Access-Control-Allow-Methods"] = 'POST'
    response.headers["Access-Control-Allow-Headers"] = "x-requested-with,content-type"
    return response
    
@app.route('/Dowmsmallccinter',methods=["get"])
def Dowmsmallccinter():
    data = classfunc.Dowmsmallcc()
    response = make_response(jsonify(data))
    response.headers["Access-Control-Allow-Origin"] = '*'
    response.headers["Access-Control-Allow-Methods"] = 'POST'
    response.headers["Access-Control-Allow-Headers"] = "x-requested-with,content-type"
    return response
    
@app.route('/Addsmallccinter',methods=["get"])
def Addsmallccinter():
    CtypeID = request.args.get("CtypeID")
    BcID = request.args.get("BcID")
    Scphoto = request.args.get("Scphoto")
    Sctitle = request.args.get("Sctitle")
    Scvidio = request.args.get("Scvidio")
    data = classfunc.Addsmallcc(CtypeID,BcID,Scphoto,Sctitle,Scvidio)
    response = make_response(jsonify(data))
    response.headers["Access-Control-Allow-Origin"] = '*'
    response.headers["Access-Control-Allow-Methods"] = 'POST'
    response.headers["Access-Control-Allow-Headers"] = "x-requested-with,content-type"
    return response

@app.route('/Dowmtypebigccinter',methods=["get"])
def Dowmtypebigccinter():
    CtypeID = request.args.get("CtypeID")
    data = classfunc.Dowmtypebigcc(CtypeID)
    response = make_response(jsonify(data))
    response.headers["Access-Control-Allow-Origin"] = '*'
    response.headers["Access-Control-Allow-Methods"] = 'POST'
    response.headers["Access-Control-Allow-Headers"] = "x-requested-with,content-type"
    return response

@app.route('/Dowmbigccinter',methods=["get"])
def Dowmbigccinter():
    data = classfunc.Dowmbigcc()
    response = make_response(jsonify(data))
    response.headers["Access-Control-Allow-Origin"] = '*'
    response.headers["Access-Control-Allow-Methods"] = 'POST'
    response.headers["Access-Control-Allow-Headers"] = "x-requested-with,content-type"
    return response
    
@app.route('/Addbigccinter',methods=["get"])
def Addbigccinter():
    CtypeID = request.args.get("CtypeID")
    Bcname = request.args.get("Bcname")
    Bcphoto = request.args.get("Bcphoto")
    Bctitle = request.args.get("Bctitle")
    data = classfunc.Addbigcc(CtypeID,Bcname,Bcphoto,Bctitle)
    response = make_response(jsonify(data))
    response.headers["Access-Control-Allow-Origin"] = '*'
    response.headers["Access-Control-Allow-Methods"] = 'POST'
    response.headers["Access-Control-Allow-Headers"] = "x-requested-with,content-type"
    return response

@app.route('/Dowmccinter',methods=["get"])
def Dowmccinter():
    data = classfunc.Dowmcc()
    response = make_response(jsonify(data))
    response.headers["Access-Control-Allow-Origin"] = '*'
    response.headers["Access-Control-Allow-Methods"] = 'POST'
    response.headers["Access-Control-Allow-Headers"] = "x-requested-with,content-type"
    return response

@app.route('/Addccinter',methods=["get"])
def Addccinter():
    Ctypename = request.args.get("Ctypename")
    Ctintor = request.args.get("Ctintor")
    data = classfunc.Addcc(Ctypename,Ctintor)
    response = make_response(jsonify(data))
    response.headers["Access-Control-Allow-Origin"] = '*'
    response.headers["Access-Control-Allow-Methods"] = 'POST'
    response.headers["Access-Control-Allow-Headers"] = "x-requested-with,content-type"
    return response

@app.route('/Adminilogin',methods=["get"])
def adminilogin():
    Nickname = request.args.get("Nickname")
    Password = request.args.get("Password")
    res = classfunc.Passwordlogin(Nickname,Password)
    response = make_response(jsonify(res))
    response.headers["Access-Control-Allow-Origin"] = '*'
    response.headers["Access-Control-Allow-Methods"] = 'POST'
    response.headers["Access-Control-Allow-Headers"] = "x-requested-with,content-type"
    return response

@app.route('/Modipassword',methods=["get"])
def Modipassword():
    UserID = request.args.get("UserID")
    Password = request.args.get("Password")
    res = classfunc.Modipassnumber(UserID,Password)
    response = make_response(jsonify(res))
    response.headers["Access-Control-Allow-Origin"] = '*'
    response.headers["Access-Control-Allow-Methods"] = 'POST'
    response.headers["Access-Control-Allow-Headers"] = "x-requested-with,content-type"
    return response
    

@app.route('/')
def scc():
    return render_template("scc.html")

@app.route('/xianzhidataup',methods=["get"])
def xianzhidataup():
    textarea = request.args.get("textarea")
    xianjia = request.args.get("xianjia")
    yuanjia = request.args.get("yuanjia")
    biaoqian = request.args.get("biaoqian")
    userid = request.args.get("userid")
    nicheng = request.args.get("nicheng")
    touxiang = request.args.get("touxiang")
    xingbie = request.args.get("xingbie")
    lianxifangshi = request.args.get("lianxifangshi")
    Picturelink = request.args.get("Picturelink")
    res = xianzhifun.functiona(textarea,xianjia,yuanjia,biaoqian,userid,nicheng,touxiang,xingbie,lianxifangshi,Picturelink)
    response = make_response("ok")
    response.headers["Access-Control-Allow-Origin"] = '*'
    response.headers["Access-Control-Allow-Methods"] = 'POST'
    response.headers["Access-Control-Allow-Headers"] = "x-requested-with,content-type"
    return response

@app.route('/xianzhiyigeshangp',methods=["get"])
def xianzhiyigeshangp():
    number = request.args.get("number")
    res = xianzhifun.functionc(number)
    response = make_response(jsonify(res))
    response.headers["Access-Control-Allow-Origin"] = '*'
    response.headers["Access-Control-Allow-Methods"] = 'POST'
    response.headers["Access-Control-Allow-Headers"] = "x-requested-with,content-type"
    return response

@app.route('/xianzhidataalldowm',methods=["get"])
def xianzhidataalldowm():
    res = xianzhifun.functionb()
    response = make_response(jsonify(res))
    response.headers["Access-Control-Allow-Origin"] = '*'
    response.headers["Access-Control-Allow-Methods"] = 'POST'
    response.headers["Access-Control-Allow-Headers"] = "x-requested-with,content-type"
    return response
    
@app.route('/xianzhiwenzhang',methods=["post"])
def xianzhiwenzhang():
    # data = request.get_data(as_text=True)
    lable = request.form.get("lable")
    Picturelinks = request.form.get("Picturelinks")
    texte = str(request.form.get("texte")).replace( '"', "'")
    textareas = request.form.get("textareas")
    xianzhifun.functiond(lable,Picturelinks,texte,textareas)
    response = make_response("200")
    response.headers["Access-Control-Allow-Origin"] = '*'
    response.headers["Access-Control-Allow-Methods"] = 'POST'
    response.headers["Access-Control-Allow-Headers"] = "x-requested-with,content-type"
    return response
  
@app.route('/xianzhiwenzhangxiazai',methods=["get"])
def xianzhiwenzhangxiazai():
    asd = xianzhifun.functione()
    response = make_response(jsonify(asd))
    response.headers["Access-Control-Allow-Origin"] = '*'
    response.headers["Access-Control-Allow-Methods"] = 'POST'
    response.headers["Access-Control-Allow-Headers"] = "x-requested-with,content-type"
    return response
    
@app.route('/xianzhiwenzhangsigxiazai',methods=["get"])
def xianzhiwenzhangsigxiazai():
    number = request.args.get("number")
    asd = xianzhifun.functionf(number)
    response = make_response(jsonify(asd))
    response.headers["Access-Control-Allow-Origin"] = '*'
    response.headers["Access-Control-Allow-Methods"] = 'POST'
    response.headers["Access-Control-Allow-Headers"] = "x-requested-with,content-type"
    return response
    
@app.route('/xianzhigerennumber',methods=["get"])
def xianzhigerennumber():
    number = request.args.get("number")
    asd = xianzhifun.functiong(number)
    response = make_response(str(asd))
    response.headers["Access-Control-Allow-Origin"] = '*'
    response.headers["Access-Control-Allow-Methods"] = 'POST'
    response.headers["Access-Control-Allow-Headers"] = "x-requested-with,content-type"
    return response
    
@app.route('/xianzhigerennumbera',methods=["get"])
def xianzhigerennumbera():
    number = request.args.get("number")
    asd = xianzhifun.functionh(number)
    response = make_response(jsonify(asd))
    response.headers["Access-Control-Allow-Origin"] = '*'
    response.headers["Access-Control-Allow-Methods"] = 'POST'
    response.headers["Access-Control-Allow-Headers"] = "x-requested-with,content-type"
    return response
    
@app.route('/detail',methods=["get"])
def detail():
    number = request.args.get("number")
    return render_template("index_details.html",number=number)
    
@app.route('/feedback.html')
def feedback():
    return render_template("feedback.html")

@app.route('/dingdan.html')
def dingdan():
    return render_template("dingdan.html")

@app.route('/courseindex.html')
def courseindex():
    return render_template("courseindex.html")

@app.route('/secorga.html')
def secorga():
    return render_template("secorga.html")

@app.route('/secdepa.html')
def secdepa():
    return render_template("secdepa.html")

@app.route('/video.html')
def video():
    return render_template("video.html")

@app.route('/videoa.html')
def videoa():
    return render_template("videoa.html")

if __name__ == '__main__':
    app.run(host='0.0.0.0',port= 5010)
